Difference between revisions of "Development Team/Jhbuild/Ubuntu"

From Sugar Labs
Jump to: navigation, search
(Karmic (9.10) is EOL, so no version of Ubuntu is supported anymore)
m (Prerequisites)
 
Line 5: Line 5:
 
== Prerequisites ==
 
== Prerequisites ==
  
In order to install sugar-jhbuild, you need git-core and svn.
+
In order to install sugar-jhbuild, you need git-core and subversion.
  
 
== Installing dependencies ==
 
== Installing dependencies ==

Latest revision as of 21:22, 12 July 2011

Supported versions

Ubuntu is currently unsupported because all recent versions lack at least one important package (python-xpcom).

Prerequisites

In order to install sugar-jhbuild, you need git-core and subversion.

Installing dependencies

After installing and updating sugar-jhbuild according to the common instructions, you can use this invocation to install all dependencies automatically:

./sugar-jhbuild depscheck -s | sudo xargs aptitude -y install

Significant bugs

Potential pitfalls

  • gtk-recordmydesktop may prevent sugar-emulator from working properly